<?php

include('../includes/hlava.php');
title('Klub priateľov fotografie', '../');

if ($link) {
  if ($db_selected) {
        	
include('../includes/vedla.php');
odkaz('../');
include('../includes/menu.php');
menu('tema', '../');
?>   
            <ul class="menu pmenu">
              <li><a href="index.php" title="zadanie fototémy">Úvod</a></li>
              <li><a href="galeria.php" title="galeria fototémy">Galéria</a></li>
              <li><a href="archiv.php" class="aktual" title="staré fototémy">Archív</a></li>
          
<?php
if (!(isset($_SESSION['login']) && ($_SESSION['login'] != ""))) :
// pouzivatel sa musi prihlasit, treba zobrazit prihlasovaci formular
?>
<?
else :
// pouzivatel je prihlaseny
    ?>
              <li class="medzera">&nbsp;</li>
              <li><a href="vloz.php" title="vloženie fotky do fototémy">Vložiť fotografiu</a></li>
    
<?php
endif; // kontrola SESSION
        	
?>                    
          
            </ul>

        <div class="obsah"> 
          <h2>Prehľad <em>tém</em></h2>
            <p class="temy">
<?

    $sql = "SELECT DISTINCT P.kategoria, P.tema
            FROM kpf_tema_photos P
            WHERE P.tema<>0
            ORDER BY P.tema DESC;";
		$result = mysql_query($sql, $link);
		if ($result) {
		  $sql2 = "SELECT P.tema
               FROM kpf_tema_photos P
               ORDER BY P.tema DESC
               LIMIT 1;";
  		$result2 = mysql_query($sql2, $link);
  		if ($result2) {
  		  $row2 = mysql_fetch_assoc($result2);
  		  $p = $row2['tema'];
      }        
      $i[] = 1;
      $j = $p;
      while ($row = mysql_fetch_assoc($result)) {
        
        $i[$j] = $row['tema'];
        if ($j == $p) echo '<a href="galeria.php?tem='.$j.'">'.$j.'. téma</a> ';
        elseif ($i[$j] != $i[$j+1]) echo '<br /><a href="galeria.php?tem='.$i[$j].'">'.$i[$j].'. téma</a> ';
        else echo ', ';
        $j--;
        if ($row['kategoria'] == 'krajina_nostalgicka') $row['kategoria'] = 'Krajina nostalgická';
        if ($row['kategoria'] == 'krajina_dynamicka') $row['kategoria'] = 'Krajina dynamická';
        if ($row['kategoria'] == 'detail_v_architekture') $row['kategoria'] = 'Detail v architekture';
        if ($row['kategoria'] == 'obloha_vytvarny_prvok') $row['kategoria'] = 'Obloha vytvarny prvok';
        if ($row['kategoria'] == 'momentka_z_dovolenky') $row['kategoria'] = 'Momentka z dovolenky';
        if ($row['kategoria'] == 'paparazzi') $row['kategoria'] = 'Paparazzi';      
        echo ''.$row['kategoria'].'';
      }
    }	
?>    
          </p>
     	
<?php
}
}
        include('../includes/pata.php');   	
?>   
